"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var shelljs_1 = tslib_1.__importDefault(require("shelljs"));
var execa_1 = tslib_1.__importDefault(require("execa"));
var constants_1 = require("../constants");
exports.safePackageName = function (name) {
    return name
        .toLowerCase()
        .replace(/(^@.*\/)|((^[^a-zA-Z]+)|[^\w.-])|([^a-zA-Z0-9]+$)/g, '');
};
function getAuthorName() {
    var author = '';
    author = shelljs_1.default
        .exec('npm config get init-author-name', { silent: true })
        .stdout.trim();
    if (author) {
        return author;
    }
    author = shelljs_1.default.exec('git config user.name', { silent: true }).stdout.trim();
    if (author) {
        setAuthorName(author);
        return author;
    }
    author = shelljs_1.default
        .exec('npm config get init-author-email', { silent: true })
        .stdout.trim();
    if (author) {
        return author;
    }
    author = shelljs_1.default.exec('git config user.email', { silent: true }).stdout.trim();
    if (author) {
        return author;
    }
    return author;
}
exports.getAuthorName = getAuthorName;
function setAuthorName(author) {
    shelljs_1.default.exec("npm config set init-author-name \"" + author + "\"", { silent: true });
}
exports.setAuthorName = setAuthorName;
exports.sortPackageJson = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () { return tslib_1.__generator(this, function (_a) {
    return [2 /*return*/, execa_1.default('sort-package-json')];
}); }); };
exports.prettifyPackageJson = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () { return tslib_1.__generator(this, function (_a) {
    return [2 /*return*/, execa_1.default("prettier --write " + constants_1.PACKAGE_JSON)];
}); }); };
exports.buildPackage = function () { return tslib_1.__awaiter(void 0, void 0, void 0, function () { return tslib_1.__generator(this, function (_a) {
    return [2 /*return*/, execa_1.default('yarn build')];
}); }); };
exports.findWorkspacePackages = function (workspaces) {
    if (workspaces === undefined) {
        return [];
    }
    if ('packages' in workspaces) {
        return workspaces.packages || [];
    }
    return workspaces;
};
exports.findPackageSetupPath = function (packages) {
    return packages.reduce(function (res, pkg) {
        return pkg[pkg.length - 1] === '*' ? pkg.slice(0, pkg.length - 1) : res;
    }, '/');
};
